//Renames
<minecraft:flint_and_steel>.displayName = "Flint and Mana Steel";
<minecraft:wooden_door>.displayName = "Oak Door";
<minecraft:fish>.displayName = "Raw Cod";
<minecraft:fish:2>.displayName = "Raw Clownfish";
<minecraft:dye:11>.displayName = "Yellow Dye";
<minecraft:dye:1>.displayName = "Red Dye";
<minecraft:sponge>.displayName = "Yellow Coral";
<minecraft:trapdoor>.displayName = "Oak Trapdoor";
<minecraft:farmland>.displayName = "Tilled Dirt";

//Tooltip
<minecraft:chest>.addTooltip(format.green("27 Slots (54 when double chest)."));
<minecraft:trapped_chest>.addTooltip(format.green("27 Slots (54 when double chest)."));
<minecraft:dirt>.addTooltip(format.gray("SipsCo© Basics Range"));
<minecraft:dirt:2>.addTooltip(format.gray("SipsCo© Specialist Range"));

//Thaumcraft Aspects SET
mods.thaumcraft.Aspects.set(<minecraft:stone_slab:1>, "terra 1, perditio 1");

//Ore Dictionary REMOVE
<ore:cropPotato>.remove(<minecraft:potato>);
<ore:cropCarrot>.remove(<minecraft:carrot>);
<ore:natureMaterial>.remove(<minecraft:deadbush>);
<ore:chestWood>.remove(<minecraft:chest>);
<ore:craftingTableWood>.remove(<minecraft:crafting_table>);
<ore:crafterWood>.remove(<minecraft:crafting_table>);
<ore:MainInfusionMaterial>.remove(<minecraft:diamond>);
<ore:MainInfusionMaterial>.remove(<minecraft:emerald>);
<ore:salmonRaw>.remove(<minecraft:fish>);
<ore:dyeBlue>.remove(<minecraft:dye:4>);
<ore:dye>.remove(<minecraft:dye:4>);

//Ore Dictionary ADD
<ore:trapdoor>.add(<minecraft:trapdoor>);
<ore:shears>.add(<minecraft:shears>);
<ore:awakeningFix6>.add(<minecraft:experience_bottle>);
<ore:awakeningFix17>.add(<minecraft:emerald>);
<ore:vines>.add(<minecraft:vine>);
<ore:listAllfruit>.add(<minecraft:golden_apple>);
<ore:cropApple>.add(<minecraft:golden_apple>);
<ore:listAllfruit>.add(<minecraft:golden_apple:1>);
<ore:cropApple>.add(<minecraft:golden_apple:1>);
<ore:salmonRaw>.add(<minecraft:fish:1>);
<ore:fence>.add(<minecraft:fence>);
<ore:button>.add(<minecraft:stone_button>);
<ore:button>.add(<minecraft:wooden_button>);
<ore:lever>.add(<minecraft:lever>);
<ore:pressurePlate>.add(<minecraft:stone_pressure_plate>);
<ore:pressurePlate>.add(<minecraft:wooden_pressure_plate>);
<ore:pressurePlate>.add(<minecraft:light_weighted_pressure_plate>);
<ore:pressurePlate>.add(<minecraft:heavy_weighted_pressure_plate>);
<ore:ladder>.add(<minecraft:ladder>);
<ore:furnace>.add(<minecraft:furnace>);
<ore:furnace>.add(<minecraft:furnace_minecart>);
<ore:craftingTable>.add(<minecraft:crafting_table>);
<ore:chest>.add(<minecraft:chest>);
<ore:chest>.add(<minecraft:trapped_chest>);
<ore:chest>.add(<minecraft:chest_minecart>);
<ore:cobblestone>.add(<minecraft:mossy_cobblestone>);
<ore:tnt>.add(<minecraft:tnt>);
<ore:tnt>.add(<minecraft:tnt_minecart>);
<ore:explosive>.add(<minecraft:tnt>);
<ore:explosive>.add(<minecraft:tnt_minecart>);
<ore:railTrack>.add(<minecraft:golden_rail>);
<ore:railTrack>.add(<minecraft:detector_rail>);
<ore:railTrack>.add(<minecraft:rail>);
<ore:railTrack>.add(<minecraft:activator_rail>);
<ore:biological>.add(<minecraft:deadbush>);
<ore:biological>.add(<minecraft:leaves2>);
<ore:biological>.add(<minecraft:leaves2:1>);
<ore:biological>.add(<minecraft:sapling>);
<ore:biological>.add(<minecraft:sapling:1>);
<ore:biological>.add(<minecraft:sapling:2>);
<ore:biological>.add(<minecraft:sapling:3>);
<ore:biological>.add(<minecraft:sapling:4>);
<ore:biological>.add(<minecraft:sapling:5>);
<ore:biological>.add(<minecraft:leaves>);
<ore:biological>.add(<minecraft:leaves:1>);
<ore:biological>.add(<minecraft:leaves:2>);
<ore:biological>.add(<minecraft:leaves:3>);
<ore:biological>.add(<minecraft:tallgrass:1>);
<ore:biological>.add(<minecraft:tallgrass:2>);
<ore:biological>.add(<minecraft:yellow_flower>);
<ore:biological>.add(<minecraft:red_flower>);
<ore:biological>.add(<minecraft:red_flower:1>);
<ore:biological>.add(<minecraft:red_flower:2>);
<ore:biological>.add(<minecraft:red_flower:3>);
<ore:biological>.add(<minecraft:red_flower:4>);
<ore:biological>.add(<minecraft:red_flower:5>);
<ore:biological>.add(<minecraft:red_flower:6>);
<ore:biological>.add(<minecraft:red_flower:7>);
<ore:biological>.add(<minecraft:red_flower:8>);
<ore:biological>.add(<minecraft:brown_mushroom>);
<ore:biological>.add(<minecraft:red_mushroom>);
<ore:sapling>.add(<minecraft:sapling>);
<ore:sapling>.add(<minecraft:sapling:1>);
<ore:sapling>.add(<minecraft:sapling:2>);
<ore:sapling>.add(<minecraft:sapling:3>);
<ore:sapling>.add(<minecraft:sapling:4>);
<ore:sapling>.add(<minecraft:sapling:5>);
<ore:podzol>.remove(<minecraft:dirt:2>);
<ore:grass>.add(<minecraft:dirt:2>);
<ore:leaves>.add(<minecraft:leaves>);
<ore:leaves>.add(<minecraft:leaves:1>);
<ore:leaves>.add(<minecraft:leaves:2>);
<ore:leaves>.add(<minecraft:leaves:3>);
<ore:leaves>.add(<minecraft:leaves2>);
<ore:leaves>.add(<minecraft:leaves2:1>);
<ore:dirt>.add(<minecraft:dirt:2>);
<ore:string>.add(<minecraft:string>);
<ore:boots>.add(<minecraft:leather_boots>);
<ore:boots>.add(<minecraft:chainmail_boots>);
<ore:boots>.add(<minecraft:iron_boots>);
<ore:boots>.add(<minecraft:diamond_boots>);
<ore:boots>.add(<minecraft:golden_boots>);
<ore:lilyPad>.add(<minecraft:waterlily>);
<ore:helmet>.add(<minecraft:leather_helmet>);
<ore:helmet>.add(<minecraft:chainmail_helmet>);
<ore:helmet>.add(<minecraft:iron_helmet>);
<ore:helmet>.add(<minecraft:diamond_helmet>);
<ore:helmet>.add(<minecraft:golden_helmet>);

//Burn Time SET
furnace.setFuel(<minecraft:wooden_sword>, 0);
furnace.setFuel(<minecraft:leaves>, 10);
furnace.setFuel(<minecraft:leaves:1>, 10);
furnace.setFuel(<minecraft:leaves:2>, 10);
furnace.setFuel(<minecraft:leaves:3>, 10);
furnace.setFuel(<minecraft:leaves2>, 10);
furnace.setFuel(<minecraft:leaves2:1>, 10);

//Smeltery Melting REMOVE
mods.tconstruct.Smeltery.removeMelting(<minecraft:bucket>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:shears>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:golden_axe>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:golden_pickaxe>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:iron_axe>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:iron_pickaxe>);

//Crafting Shapeless REMOVE
recipes.removeShapeless(<minecraft:ender_pearl>, [<*>]);
recipes.removeShapeless(<minecraft:stonebrick:3>, [<*>, <*>]);
recipes.removeShapeless(<minecraft:mushroom_stew>, [<*>, <*>, <*>]);
recipes.removeShapeless(<minecraft:dye:11> * 2, [<minecraft:double_plant>]);
recipes.removeShapeless(<minecraft:clay_ball> * 4, [<ThermalExpansion:material:514>, <ThermalExpansion:material:514>, <minecraft:dirt>, <minecraft:water_bucket>]);
recipes.removeShapeless(<minecraft:mossy_cobblestone>, [<CaveBiomes:moss>, <minecraft:cobblestone>]);
recipes.removeShapeless(<minecraft:ender_pearl>, [<PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>, <PortalGun:EnderPearlDust>]);
recipes.removeShapeless(<minecraft:fish>, [<harvestcraft:firmtofuItem>]);

//Crafting REMOVE SHAPED
recipes.removeShaped(<minecraft:rotten_flesh>, [[<BiomesOPlenty:misc:3>, <BiomesOPlenty:misc:3>, <BiomesOPlenty:misc:3>], [<BiomesOPlenty:misc:3>, <BiomesOPlenty:jarFilled:1>, <BiomesOPlenty:misc:3>], [<BiomesOPlenty:misc:3>, <BiomesOPlenty:misc:3>, <BiomesOPlenty:misc:3>]]);
recipes.removeShaped(<minecraft:dye:2>, [[null, null, null], [null, null, null], [<magicalcrops:DyeEssence>, <magicalcrops:DyeEssence>, <magicalcrops:DyeEssence>]]);
recipes.removeShaped(<minecraft:dye>, [[<magicalcrops:DyeEssence>, <magicalcrops:DyeEssence>, <magicalcrops:DyeEssence>], [null, null, null], [null, null, null]]);

//Crafting REMOVE
recipes.remove(<minecraft:leather>);
recipes.remove(<minecraft:trapdoor>);
recipes.remove(<minecraft:wooden_door>);
recipes.remove(<minecraft:wooden_slab>);
recipes.remove(<minecraft:planks:5>);
recipes.remove(<minecraft:planks:4>);
recipes.remove(<minecraft:planks:3>);
recipes.remove(<minecraft:planks:2>);
recipes.remove(<minecraft:planks:1>);
recipes.remove(<minecraft:planks>);
recipes.remove(<minecraft:cobblestone>);
recipes.remove(<minecraft:written_book>);
recipes.remove(<minecraft:written_book>);
recipes.remove(<minecraft:dirt>);
recipes.remove(<minecraft:stone>);
recipes.remove(<minecraft:dirt:2>);
recipes.remove(<minecraft:sandstone>);
recipes.remove(<minecraft:sandstone:1>);
recipes.remove(<minecraft:sandstone:2>);
recipes.remove(<minecraft:dispenser>);
recipes.remove(<minecraft:dropper>);
recipes.remove(<minecraft:piston>);
recipes.remove(<minecraft:sticky_piston>);
recipes.remove(<minecraft:activator_rail>);
recipes.remove(<minecraft:detector_rail>);
recipes.remove(<minecraft:golden_rail>);
recipes.remove(<minecraft:rail>);
recipes.remove(<minecraft:noteblock>);
recipes.remove(<minecraft:beacon>);
recipes.remove(<minecraft:cauldron>);
recipes.remove(<minecraft:brewing_stand>);
recipes.remove(<minecraft:jukebox>);
recipes.remove(<minecraft:enchanting_table>);
recipes.remove(<minecraft:tnt>);
recipes.remove(<minecraft:chainmail_helmet>);
recipes.remove(<minecraft:chainmail_chestplate>);
recipes.remove(<minecraft:chainmail_leggings>);
recipes.remove(<minecraft:chainmail_boots>);
recipes.remove(<minecraft:shears>);
recipes.remove(<minecraft:flint_and_steel>);
recipes.remove(<minecraft:stone_slab:*>);
recipes.remove(<minecraft:dye:7>);
recipes.remove(<minecraft:dye:8>);
recipes.remove(<minecraft:dye:6>);
recipes.remove(<minecraft:mob_spawner:*>);
recipes.remove(<minecraft:iron_pickaxe>);
recipes.remove(<minecraft:diamond_pickaxe>);
recipes.remove(<minecraft:sugar>);
recipes.remove(<minecraft:diamond_shovel>);
recipes.remove(<minecraft:diamond_sword>);
recipes.remove(<minecraft:golden_pickaxe>);
recipes.remove(<minecraft:golden_axe>);
recipes.remove(<minecraft:iron_axe>);
recipes.remove(<minecraft:stone_sword>);
recipes.remove(<minecraft:golden_sword>);
recipes.remove(<minecraft:diamond_hoe>);
recipes.remove(<minecraft:diamond_axe>);
recipes.remove(<minecraft:bow>);
recipes.remove(<minecraft:stone_shovel>);
recipes.remove(<minecraft:stone_pickaxe>);
recipes.remove(<minecraft:stone_axe>);
recipes.remove(<minecraft:golden_hoe>);
recipes.remove(<minecraft:golden_shovel>);
recipes.remove(<minecraft:stone_hoe>);
recipes.remove(<minecraft:iron_sword>);
recipes.remove(<minecraft:iron_shovel>);
recipes.remove(<minecraft:iron_hoe>);
recipes.remove(<minecraft:wooden_axe>);
recipes.remove(<minecraft:wooden_shovel>);
recipes.remove(<minecraft:wooden_pickaxe>);
recipes.remove(<minecraft:wooden_hoe>);
recipes.remove(<minecraft:wooden_sword>);

//Smeltery REMOVE
mods.tconstruct.Smeltery.removeMelting(<minecraft:chainmail_helmet>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:chainmail_chestplate>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:chainmail_leggings>);
mods.tconstruct.Smeltery.removeMelting(<minecraft:chainmail_boots>);

//Crop Light Level SET
mods.agricraft.growing.Brightness.set(<minecraft:nether_wart>, 0, 16);

//Crops Soil SET
mods.agricraft.growing.Soil.set(<minecraft:nether_wart>, <minecraft:soul_sand>);

//Furnace ADD
furnace.addRecipe(<minecraft:glass>, <ore:sand>);

//Crafting Mirrored ADD
recipes.addShapedMirrored(<minecraft:stone_slab:3> * 6, [[<minecraft:cobblestone>, <minecraft:cobblestone>, <minecraft:cobblestone>]]);
recipes.addShapedMirrored(<minecraft:bucket>, [[<ore:ingotCopper>, null, <ore:ingotCopper>], [null, <ore:ingotCopper>, null]]);
recipes.addShapedMirrored(<minecraft:sandstone>, [[<ore:sand>, <ore:sand>], [<ore:sand>, <ore:sand>]]);
recipes.addShapedMirrored(<minecraft:sandstone>, [[<minecraft:stone_slab:1>], [<minecraft:stone_slab:1>]]);
recipes.addShapedMirrored(<minecraft:wooden_door>, [[<minecraft:planks>, <minecraft:planks>, null], [<minecraft:planks>, <minecraft:planks>, null], [<minecraft:planks>, <minecraft:planks>, null]]);
recipes.addShapedMirrored(<minecraft:trapdoor> * 2, [[<minecraft:planks>, <minecraft:planks>, <minecraft:planks>], [<minecraft:planks>, <minecraft:planks>, <minecraft:planks>], [null, null, null]]);

//Crafting Shapeless ADD
recipes.addShapeless(<minecraft:sand> * 9, [<ExtraUtilities:cobblestone_compressed:14>]);
recipes.addShapeless(<minecraft:stone> * 9, [<additionalcompression:compressed_stone>]);
recipes.addShapeless(<minecraft:ender_pearl> * 9, [<additionalcompression:compressed_pearlender>]);
recipes.addShapeless(<minecraft:flint_and_steel>, [<minecraft:flint>, <Thaumcraft:ItemResource:3>, <Botania:manaResource>]);
recipes.addShapeless(<minecraft:mushroom_stew>, [<minecraft:bowl>, <ore:listAllmushroom>, <ore:listAllmushroom>]);
recipes.addShapeless(<minecraft:clay_ball> * 4, [<ImmersiveEngineering:material:13>, <ImmersiveEngineering:material:13>, <ore:dirt>, <ore:listAllwater>]);
recipes.addShapeless(<minecraft:sand:1> * 2, [<minecraft:sand:1>, <ImmersiveEngineering:material:13>]);
recipes.addShapeless(<minecraft:gravel> * 2, [<minecraft:gravel>, <ImmersiveEngineering:material:13>]);
recipes.addShapeless(<minecraft:sand> * 2, [<minecraft:sand>, <ImmersiveEngineering:material:13>]);
recipes.addShapeless(<minecraft:melon> * 4, [<minecraft:melon_block>]);
recipes.addShapeless(<minecraft:dye:11>, [<harvestcraft:mortarandpestleItem>, <minecraft:double_plant>]);
recipes.addShapeless(<minecraft:sugar>, [<harvestcraft:potItem>, <harvestcraft:honeyItem>]);
recipes.addShapeless(<minecraft:nether_wart> * 9, [<magmaox:NetherWartBlock>]);
recipes.addShapeless(<minecraft:bookshelf>, [<ore:shelf>, <minecraft:book>, <minecraft:book>, <minecraft:book>]);
recipes.addShapeless(<minecraft:brown_mushroom> * 9, [<minecraft:brown_mushroom_block>]);
recipes.addShapeless(<minecraft:red_mushroom> * 9, [<minecraft:red_mushroom_block>]);
recipes.addShapeless(<minecraft:planks:5> * 4, [<minecraft:log2:1>]);
recipes.addShapeless(<minecraft:planks:4> * 4, [<minecraft:log2>]);
recipes.addShapeless(<minecraft:planks:2> * 4, [<minecraft:log:2>]);
recipes.addShapeless(<minecraft:planks:3> * 4, [<minecraft:log:3>]);
recipes.addShapeless(<minecraft:planks:1> * 4, [<minecraft:log:1>]);
recipes.addShapeless(<minecraft:planks> * 4, [<minecraft:log>]);
recipes.addShapeless(<minecraft:cobblestone> * 9, [<ore:compressedCobblestone1x>]);
recipes.addShapeless(<minecraft:dirt> * 4, [<ore:sand>, <ore:fertilizer>]);
recipes.addShapeless(<minecraft:dirt> * 9, [<ore:compressedDirt1x>]);
recipes.addShapeless(<minecraft:dirt:2>, [<ore:dirt>, <ore:leaves>, <ore:leaves>]);
recipes.addShapeless(<minecraft:grass>, [<ore:dirt>, <ore:listAllwater>]);

//Crafting Shaped ADD
recipes.addShaped(<minecraft:leather> * 8, [[<magicalcrops:CowEssence>, <magicalcrops:CowEssence>, <magicalcrops:CowEssence>], [<magicalcrops:CowEssence>, null, <magicalcrops:CowEssence>], [<magicalcrops:CowEssence>, <magicalcrops:CowEssence>, <magicalcrops:CowEssence>]]);
recipes.addShaped(<minecraft:dye:11> * 6, [[null, <magicalcrops:DyeEssence>, null], [null, null, <magicalcrops:DyeEssence>], [null, <magicalcrops:DyeEssence>, null]]);
recipes.addShaped(<minecraft:mossy_cobblestone>, [[<BiomesOPlenty:moss>, <BiomesOPlenty:moss>, <BiomesOPlenty:moss>], [<BiomesOPlenty:moss>, <ore:cobblestone>, <BiomesOPlenty:moss>], [<BiomesOPlenty:moss>, <BiomesOPlenty:moss>, <BiomesOPlenty:moss>]]);
recipes.addShaped(<minecraft:ender_pearl>, [[<magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>], [<magicalcrops:EndermanEssence>, null, <magicalcrops:EndermanEssence>], [<magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>]]);
recipes.addShaped(<minecraft:chainmail_helmet>, [[<GardenStuff:chain_link>, <GardenStuff:chain_link>, <GardenStuff:chain_link>], [<GardenStuff:chain_link>, null, <GardenStuff:chain_link>], [null, null, null]]);
recipes.addShaped(<minecraft:chainmail_chestplate>, [[<GardenStuff:chain_link>, null, <GardenStuff:chain_link>], [<GardenStuff:chain_link>, <GardenStuff:chain_link>, <GardenStuff:chain_link>], [<GardenStuff:chain_link>, <GardenStuff:chain_link>, <GardenStuff:chain_link>]]);
recipes.addShaped(<minecraft:chainmail_leggings>, [[<GardenStuff:chain_link>, <GardenStuff:chain_link>, <GardenStuff:chain_link>], [<GardenStuff:chain_link>, null, <GardenStuff:chain_link>], [<GardenStuff:chain_link>, null, <GardenStuff:chain_link>]]);
recipes.addShaped(<minecraft:chainmail_boots>, [[<GardenStuff:chain_link>, null, <GardenStuff:chain_link>], [<GardenStuff:chain_link>, null, <GardenStuff:chain_link>], [null, null, null]]);
recipes.addShaped(<minecraft:beacon>, [[<ore:blockGlass>, <Metallurgy:fantasy.block:7>, <ore:blockGlass>], [<ore:blockGlass>, <ore:itemNetherStar>, <ore:blockGlass>], [<ore:blockGlass>, <ore:blockObsidian>, <ore:blockGlass>]]);
recipes.addShaped(<minecraft:cauldron>, [[<ore:ingotTin>, null, <ore:ingotTin>], [<ore:ingotTin>, null, <ore:ingotTin>], [<ore:ingotTin>, <ore:ingotTin>, <ore:ingotTin>]]);
recipes.addShaped(<minecraft:brewing_stand>, [[<EnderIO:itemLiquidConduit>, <EnderIO:itemLiquidConduit>, <EnderIO:itemLiquidConduit>], [null, <ore:rodBlaze>, null], [<ore:slabStone>, <ore:slabStone>, <ore:slabStone>]]);
recipes.addShaped(<minecraft:jukebox>, [[<ore:plankWood>, <ore:livingwood>, <ore:plankWood>], [<ore:plankWood>, <chisel:warningSign:11>, <ore:plankWood>], [<ore:plankWood>, <minecraft:noteblock>, <ore:plankWood>]]);
recipes.addShaped(<minecraft:enchanting_table>, [[null, <ore:scribingTools>, null], [<ore:manaDiamond>, <minecraft:book>, <ore:manaDiamond>], [<ore:blockObsidian>, <ore:blockGarnet>, <ore:blockObsidian>]]);
recipes.addShaped(<minecraft:tnt>, [[<ore:dustGunpowder>, <ore:sand>, <ore:dustGunpowder>], [<ore:sand>, <ore:dustGunpowder>, <ore:sand>], [<ore:dustGunpowder>, <ore:sand>, <ore:dustGunpowder>]]);
recipes.addShaped(<minecraft:end_portal_frame>, [[<magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>], [<magicalcrops:EndermanEssence>, <ore:blockOnyx>, <magicalcrops:EndermanEssence>], [<magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>, <magicalcrops:EndermanEssence>]]);
recipes.addShaped(<minecraft:saddle>, [[<minecraft:leather>, <harvestcraft:hardenedleatherItem>, <minecraft:leather>], [null, <GardenStuff:chain_link>, null], [null, <ore:ingotOureclase>, null]]);
recipes.addShaped(<minecraft:brown_mushroom_block>, [[<minecraft:brown_mushroom>, <minecraft:brown_mushroom>, <minecraft:brown_mushroom>], [<minecraft:brown_mushroom>, <minecraft:brown_mushroom>, <minecraft:brown_mushroom>], [<minecraft:brown_mushroom>, <minecraft:brown_mushroom>, <minecraft:brown_mushroom>]]);
recipes.addShaped(<minecraft:red_mushroom_block>, [[<minecraft:red_mushroom>, <minecraft:red_mushroom>, <minecraft:red_mushroom>], [<minecraft:red_mushroom>, <minecraft:red_mushroom>, <minecraft:red_mushroom>], [<minecraft:red_mushroom>, <minecraft:red_mushroom>, <minecraft:red_mushroom>]]);
recipes.addShaped(<minecraft:piston>, [[<ore:plankWood>, <ore:plankWood>, <ore:plankWood>], [<ore:cobblestone>, <ThermalExpansion:material>, <ore:cobblestone>], [<ore:cobblestone>, <ore:dustRedstone>, <ore:cobblestone>]]);
recipes.addShaped(<minecraft:sticky_piston>, [[<ore:slimeball>, null, null], [<minecraft:piston>, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:activator_rail> * 4, [[<ore:dustRedstone>, null, null], [<minecraft:rail>, null, null], [<ThermalExpansion:Device:2>, null, null]]);
recipes.addShaped(<minecraft:detector_rail> * 4, [[<ore:dustRedstone>, null, null], [<minecraft:rail>, null, null], [<ExtraUtilities:budoff>, null, null]]);
recipes.addShaped(<minecraft:golden_rail> * 8, [[<ore:ingotAngmallen>, <ore:dustRedstone>, <ore:ingotAngmallen>], [<ore:ingotAngmallen>, <minecraft:rail>, <ore:ingotAngmallen>], [<ore:ingotAngmallen>, <ore:dustRedstone>, <ore:ingotAngmallen>]]);
recipes.addShaped(<minecraft:rail> * 32, [[<ore:stickSteel>, <ore:stickWood>, <ore:stickSteel>], [null, <ore:stickWood>, null], [<ore:stickSteel>, <ore:stickWood>, <ore:stickSteel>]]);
recipes.addShaped(<minecraft:noteblock>, [[<ore:plankWood>, <immersiveintegration:iiWireCoil>, <ore:plankWood>], [<ore:plankWood>, <chisel:warningSign:11>, <ore:plankWood>], [<ore:plankWood>, <Botania:manaResource:6>, <ore:plankWood>]]);
recipes.addShaped(<minecraft:dispenser>, [[<ore:cobblestone>, <ore:cobblestone>, <ore:cobblestone>], [<ore:cobblestone>, <minecraft:tripwire_hook>, <ore:cobblestone>], [<ore:cobblestone>, <ore:dustRedstone>, <ore:cobblestone>]]);
recipes.addShaped(<minecraft:dropper>, [[<ore:cobblestone>, <ore:cobblestone>, <ore:cobblestone>], [<ore:cobblestone>, <minecraft:tripwire_hook>, <ore:cobblestone>], [<ore:cobblestone>, null, <ore:cobblestone>]]);
recipes.addShaped(<minecraft:sapling:5>, [[<minecraft:leaves2:1>, <minecraft:leaves2:1>, <minecraft:leaves2:1>], [<minecraft:leaves2:1>, <minecraft:leaves2:1>, <minecraft:leaves2:1>], [<minecraft:leaves2:1>, <minecraft:leaves2:1>, <minecraft:leaves2:1>]]);
recipes.addShaped(<minecraft:sapling:4>, [[<minecraft:leaves2>, <minecraft:leaves2>, <minecraft:leaves2>], [<minecraft:leaves2>, <minecraft:leaves2>, <minecraft:leaves2>], [<minecraft:leaves2>, <minecraft:leaves2>, <minecraft:leaves2>]]);
recipes.addShaped(<minecraft:sapling:3>, [[<minecraft:leaves:3>, <minecraft:leaves:3>, <minecraft:leaves:3>], [<minecraft:leaves:3>, <minecraft:leaves:3>, <minecraft:leaves:3>], [<minecraft:leaves:3>, <minecraft:leaves:3>, <minecraft:leaves:3>]]);
recipes.addShaped(<minecraft:sapling:2>, [[<minecraft:leaves:2>, <minecraft:leaves:2>, <minecraft:leaves:2>], [<minecraft:leaves:2>, <minecraft:leaves:2>, <minecraft:leaves:2>], [<minecraft:leaves:2>, <minecraft:leaves:2>, <minecraft:leaves:2>]]);
recipes.addShaped(<minecraft:sapling:1>, [[<minecraft:leaves:1>, <minecraft:leaves:1>, <minecraft:leaves:1>], [<minecraft:leaves:1>, <minecraft:leaves:1>, <minecraft:leaves:1>], [<minecraft:leaves:1>, <minecraft:leaves:1>, <minecraft:leaves:1>]]);
recipes.addShaped(<minecraft:sapling>, [[<minecraft:leaves>, <minecraft:leaves>, <minecraft:leaves>], [<minecraft:leaves>, <minecraft:leaves>, <minecraft:leaves>], [<minecraft:leaves>, <minecraft:leaves>, <minecraft:leaves>]]);
recipes.addShaped(<minecraft:wooden_slab> * 6, [[<minecraft:planks>, <minecraft:planks>, <minecraft:planks>]]);
recipes.addShaped(<minecraft:planks:5>, [[<minecraft:wooden_slab:5>], [<minecraft:wooden_slab:5>]]);
recipes.addShaped(<minecraft:planks:4>, [[<minecraft:wooden_slab:4>], [<minecraft:wooden_slab:4>]]);
recipes.addShaped(<minecraft:planks:3>, [[<minecraft:wooden_slab:3>], [<minecraft:wooden_slab:3>]]);
recipes.addShaped(<minecraft:planks:2>, [[<minecraft:wooden_slab:2>], [<minecraft:wooden_slab:2>]]);
recipes.addShaped(<minecraft:planks:1>, [[<minecraft:wooden_slab:1>], [<minecraft:wooden_slab:1>]]);
recipes.addShaped(<minecraft:planks>, [[<minecraft:wooden_slab>], [<minecraft:wooden_slab>]]);
recipes.addShaped(<minecraft:stone> * 64, [[<magicalcrops:FireEssence>, <magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:FireEssence>, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>, <magicalcrops:FireEssence>]]);
recipes.addShaped(<minecraft:cobblestone>, [[<minecraft:stone_slab:3>], [<minecraft:stone_slab:3>]]);
recipes.addShaped(<minecraft:cobblestone> * 64, [[<magicalcrops:FireEssence>, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:FireEssence>]]);
recipes.addShaped(<minecraft:dirt:2> * 4, [[<magicalcrops:NatureEssence>, <magicalcrops:EarthEssence>, <magicalcrops:NatureEssence>], [<magicalcrops:EarthEssence>, null, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>]]);
recipes.addShaped(<minecraft:grass> * 4, [[<magicalcrops:NatureEssence>, <magicalcrops:NatureEssence>, <magicalcrops:NatureEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>]]);
recipes.addShaped(<minecraft:stone>, [[<minecraft:stone_slab>], [<minecraft:stone_slab>]]);
recipes.addShaped(<minecraft:dirt> * 48, [[<magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, null, <magicalcrops:EarthEssence>], [<magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>, <magicalcrops:EarthEssence>]]);
recipes.addShaped(<minecraft:stone>, [[<minecraft:cobblestone>, <minecraft:cobblestone>], [<minecraft:cobblestone>, <minecraft:cobblestone>]]);
recipes.addShaped(<minecraft:stone_slab:7> * 6, [[<minecraft:quartz_block>, <minecraft:quartz_block>, <minecraft:quartz_block>], [null, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:stone_slab:6> * 6, [[<minecraft:nether_brick>, <minecraft:nether_brick>, <minecraft:nether_brick>], [null, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:stone_slab:5> * 6, [[<minecraft:stonebrick>, <minecraft:stonebrick>, <minecraft:stonebrick>], [null, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:stone_slab:4> * 6, [[<minecraft:brick_block>, <minecraft:brick_block>, <minecraft:brick_block>], [null, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:stone_slab:1> * 6, [[<minecraft:sandstone>, <minecraft:sandstone>, <minecraft:sandstone>], [null, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:stone_slab> * 6, [[<minecraft:stone>, <minecraft:stone>, <minecraft:stone>], [null, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:dye:8> * 6, [[null, <magicalcrops:DyeEssence>, null], [null, <magicalcrops:DyeEssence>, null], [<magicalcrops:DyeEssence>, null, null]]);
recipes.addShaped(<minecraft:dye:7> * 6, [[<magicalcrops:DyeEssence>, null, null], [null, <magicalcrops:DyeEssence>, null], [null, null, <magicalcrops:DyeEssence>]]);
recipes.addShaped(<minecraft:dye:6> * 6, [[<magicalcrops:DyeEssence>, null, null], [<magicalcrops:DyeEssence>, null, null], [<magicalcrops:DyeEssence>, null, null]]);
recipes.addShaped(<minecraft:stonebrick:3>, [[<minecraft:stone_slab:5>, null, null], [<minecraft:stone_slab:5>, null, null], [null, null, null]]);
recipes.addShaped(<minecraft:bucket>, [[<ore:ingotTin>, null, <ore:ingotTin>], [null, <ore:ingotTin>, null], [null, null, null]]);
recipes.addShaped(<minecraft:soul_sand> * 8, [[<ore:sand>, <ore:sand>, <ore:sand>], [<ore:sand>, <BiomesOPlenty:misc:10>, <ore:sand>], [<ore:sand>, <ore:sand>, <ore:sand>]]);
recipes.addShaped(<minecraft:wool> * 4, [[<magicalcrops:SheepEssence>, <magicalcrops:SheepEssence>, <magicalcrops:SheepEssence>], [<magicalcrops:SheepEssence>, <magicalcrops:SheepEssence>, <magicalcrops:SheepEssence>], [<magicalcrops:SheepEssence>, <magicalcrops:SheepEssence>, <magicalcrops:SheepEssence>]]);